Subject: Re: bug#12215: CSET is unnecessarily confusing

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Aug 2012 00:02:13 -0700

On 08/22/2012 09:50 AM, Dmitry Antipov wrote:
> I'm almost convinced with going to a branch (mostly because
> I have 80K patch with some GC bits, and maintaining it against
> trunk becomes harder and harder).

OK, thanks, to try to help finish convincing you (;-)
I've prepared a patch along the lines suggested.
For example, it changes this:

  bset_directory (b, current_buffer ? BVAR (current_buffer, directory) : Qnil);

back to this:

  b->directory = current_buffer ? current_buffer->directory : Qnil;

It's a bit long (it removes over a thousand lines of code from Emacs,
net) so I've attached the compressed version.  Comments welcome.